# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  
  config.vm.define "server" do |instance|
    instance.vm.box = "pogosoftware/ubuntu-20.04"

    instance.vm.network "private_network", ip: "10.0.0.10"
    instance.vm.provider "virtualbox" do |vb|
      vb.name   = "GoCD Server"
      vb.gui    = false
      vb.cpus   = 2
      vb.memory = 2048
    end

    instance.vm.provision "shell", path: "./scripts/gocd/server.sh"
  end

  config.vm.define "agent" do |instance|
    instance.vm.box = "pogosoftware/ubuntu-20.04"

    instance.vm.network "private_network", ip: "10.0.0.20"
    instance.vm.provider "virtualbox" do |vb|
      vb.name   = "GoCD Agent"
      vb.gui    = false
      vb.cpus   = 2
      vb.memory = 2048
    end

    instance.vm.provision "shell", path: "./scripts/gocd/agent.sh"
  end

end
